[metadata]
version = 0.0.1
classifiers =
    Programming Language :: Python :: 3
    License :: OSI Approved :: MIT License
    Operating System :: OS Independent
url = https://git.tetalab.org/tetalab/thsf.net
description = "THSF website"
name = thsf
long_description = file: README.md
long_description_content_type = text/markdown
author = Doug Le Tough
author_email = doug@redatomik.org

[options]
package_dir =
    = src
packages = find:
include_package_data = True
python_requires = >=3.7
install_requires =
    flask
    gunicorn
    pyYAML
    requests
    pandas

[options.packages.find]
where = src

[options.extras_require]
dev =
    twine
    build
    wheel>=0.37.0
    flake8>=4.0.1
    flake8-breakpoint>=1.1.0
    flake8-builtins>=1.5.3
    flake8-print>=4.0.0
    flake8-return>=1.1.3
    pep8-naming>=0.8.2
    setuptools>=60.9.2
    pylint>=2.12.2

[flake8]
ignore = E111
exclude = .git,__pycache__,build,dist, thot-cli-venv
max-line-length = 160
use-flake8-tabs = true
tab-width = 2
